Target version: 3.3.0   

Resolution: Fixed   

Description

Currently (2.3.2) it is not possible (that I know of) to attach files to wiki pages.

AS a workaround i have attached all files to an arbitrary ticket instead which works but is pretty awkward.

It would be nice if it was possible to attach the file directly to the wikipage instead.

// Michael Medin

Related issues:

Related to Redmine - Patch #21066: Enable adding attachments to wiki entries ... Closed

Has duplicate Redmine - Feature #13843: Redmine API: can wiki pages contain u... Closed

Associated revisions

Revision 15415 - 2016-05-16 08:29 - Jean-Philippe Lang

Add support for attaching file to WIKI pages by REST API (#14830).

Patch by Takenori TAKAKI.

History

#1 - 2013-09-03 14:12 - Thomas Godard

It is possible to attach files to Wiki pages ... See : http://www.redmine.org/projects/redmine/wiki/RedmineProjects for example

#2 - 2013-09-03 23:26 - Michael Medin

Sorry, I forgot to mention I meant via the REST API.

#3 - 2013-09-17 02:32 - Toshi MARUYAMA

- Subject changed from Add support for attaching file to WIKI pages to Add support for attaching file to WIKI pages by REST API

- Category changed from Rails support to REST API

#4 - 2015-10-22 18:37 - Sven S.

Had the same problem here, the following patch make it working (I am not a ruby specialist, just took the snippet from the issue controller; normal

upload and rest upload is then working):

Index: wiki_controller.rb

===================================================================

--- wiki_controller.rb    (revision 14728)

+++ wiki_controller.rb    (working copy)

@@ -152,7 +152,7 @@

     @content.author = User.current

     if @page.save_with_content(@content)

-      attachments = Attachment.attach_files(@page, params[:attachments])

+      attachments = Attachment.attach_files(@page, params[:attachments] || (params[:wiki_page] && params[:wik

i_page][:uploads]))

       render_attachment_warning_if_needed(@page)

       call_hook(:controller_wiki_edit_after_save, { :params => params, :page => @page})

 Added this patch to the patch-queue #21066
#5 - 2015-11-20 12:45 - Toshi MARUYAMA

- Related to Patch #21066: Enable adding attachments to wiki entries using the Rest-API added

#6 - 2016-01-09 06:59 - Go MAEDA

- Has duplicate Feature #13843: Redmine API: can wiki pages contain uploads added

#7 - 2016-04-11 09:03 - Takenori TAKAKI

- File add_rest_api_for_attaching_file_to_WIKI_page_trunk_r15317.patch added

I added a test-case for Sven S.'s patch.

This patch workes fine under the latest trunk r15317.

I would be happy if I could see the feature in Redmine 3.3.0.

#8 - 2016-05-11 02:23 - Toshi MARUYAMA

- Target version set to 3.3.0

#9 - 2016-05-16 08:33 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks. I've removed the test with the 'attachment' param as it's not supposed to be used with the API. Attachments should be added

through the API with wiki_page[uploads].

#10 - 2016-05-21 09:09 - Jean-Philippe Lang

- Subject changed from Add support for attaching file to WIKI pages by REST API to REST API : Add support for attaching file to Wiki pages

#11 - 2017-05-24 13:03 - Vu Anh

Michael Medin wrote:

Currently (2.3.2) it is not possible (that I know of) to attach files to wiki pages.

AS a workaround i have attached all files to an arbitrary ticket instead which works but is pretty awkward.

It would be nice if it was possible to attach the file directly to the wikipage instead.

// Michael Medin

 I'm realy  not clear about this feature.@Michael, Lang Can you explain more about it. How can i replay it ? I'm using v.3.2.6

#12 - 2017-06-23 14:53 - Toshi MARUYAMA

Vu Anh wrote:

Michael Medin wrote:

Currently (2.3.2) it is not possible (that I know of) to attach files to wiki pages.

AS a workaround i have attached all files to an arbitrary ticket instead which works but is pretty awkward.

It would be nice if it was possible to attach the file directly to the wikipage instead.

// Michael Medin

 I'm realy  not clear about this feature.@Michael, Lang Can you explain more about it. How can i replay it ? I'm using v.3.2.6

 This feature is included in Redmine 3.3.

Files

add_rest_api_for_attaching_file_to_WIKI_page_trunk_r15317.patch 3.07 KB 2016-04-11 Takenori TAKAKI
